//
//  ADT7410.c
//

#include "xc.h"

#include "ADT7410.h"
#include "i2c_1.h"

void ADT7410_get_temp(uint8_t addr, float * f_data)
{  
  int data;
  uint8_t t_data[4];
  
  I2C_Read(addr, 0, t_data, 2);
  data = t_data[0]  << 8;  
  data |= t_data[1];  

  data >>= 3; 
  *f_data = data  / 16.0;      
}


