//
//  ADT7410.h
//

#include <xc.h> 

#define ADT7410_CONT    0   // Continuous (default)
#define ADT7410_ONE     1   // One shot
#define ADT7410_SPS     2   // SPS mode
#define ADT7410_OFF     3   // Shutdown

//------------------------------------------------
// Get temperature
// uint8_t addr:    I2C Address (0x48,49,4A,4B)
// float * f_data   Temperature data (float)
//------------------------------------------------
void ADT7410_get_temp(uint8_t addr, float * f_data);


