//
//  AQM1602.h
//

#include "mcc_generated_files/system.h"
#define FCY      _XTAL_FREQ
#include <libpic30.h> 

#define     LCD_ADRS        0x3E 

#define     CLS             0x01
#define     Home            0x02

void writeCommand(uint8_t t_command);
void writeData(uint8_t t_data);
void init_LCD(void);
void LCD_Cls(void); 
void LCD_Home(void);
void LCD_Mode(int no);
void LCD_Print(char * data);
void LCD_Print_L(uint8_t x, uint8_t y, char * data);
void LCD_Move(uint8_t x, uint8_t y);
void Check_Position();
void Contrast(uint8_t data);
void Display(uint8_t data);
void Cursor(uint8_t data);
void Brink(uint8_t data);
void Cursor_Shift(uint8_t data);
void LCD_Put_C(char data);
void LCD_Put_C_L(uint8_t x, uint8_t y, char data);
void Set_Char(uint8_t no, uint8_t *data);
void writeDat(uint8_t c);
void writeData(uint8_t t_data);


